package com.ejie.y42b.model;

import java.util.ArrayList;
import java.util.List;
import org.codehaus.jackson.annotate.JsonIgnore;

/**
 * * TipoComunicacion  
 * 
 *  
 */

public class TipoComunicacion implements java.io.Serializable {

	private static final long serialVersionUID = 1L;
	private Integer m6codigo;
	private String m6notipo;
	private String m6tetipo;
	private String m6notipoe;
	private String m6notipoi;
	private String m6notipof;
	private String m6notipoa;
	private List<Comunicacion> comunicacions = new ArrayList<Comunicacion>();

	/**
	 * Method 'TipoComunicacion'.
	 * 
	 */
	public TipoComunicacion() {
	}

	/**
	 * Method 'TipoComunicacion'.
	 * 
	 * @param m6codigo
	 *            Integer
	 * @param m6notipo
	 *            String
	 * @param m6tetipo
	 *            String
	 * @param m6notipoe
	 *            String
	 * @param m6notipoi
	 *            String
	 * @param m6notipof
	 *            String
	 * @param m6notipoa
	 *            String
	 */
	public TipoComunicacion(Integer m6codigo, String m6notipo, String m6tetipo,
			String m6notipoe, String m6notipoi, String m6notipof,
			String m6notipoa) {
		this.m6codigo = m6codigo;
		this.m6notipo = m6notipo;
		this.m6tetipo = m6tetipo;
		this.m6notipoe = m6notipoe;
		this.m6notipoi = m6notipoi;
		this.m6notipof = m6notipof;
		this.m6notipoa = m6notipoa;
	}

	/**
	 * Method 'TipoComunicacion'.
	 * 
	 * @param m6codigo
	 *            Integer
	 * @param m6notipo
	 *            String
	 * @param m6tetipo
	 *            String
	 * @param m6notipoe
	 *            String
	 * @param m6notipoi
	 *            String
	 * @param m6notipof
	 *            String
	 * @param m6notipoa
	 *            String
	 * @param comunicacions
	 *            List<Comunicacion>
	 */
	public TipoComunicacion(Integer m6codigo, String m6notipo, String m6tetipo,
			String m6notipoe, String m6notipoi, String m6notipof,
			String m6notipoa, List<Comunicacion> comunicacions) {

		this.m6codigo = m6codigo;
		this.m6notipo = m6notipo;
		this.m6tetipo = m6tetipo;
		this.m6notipoe = m6notipoe;
		this.m6notipoi = m6notipoi;
		this.m6notipof = m6notipof;
		this.m6notipoa = m6notipoa;
		this.comunicacions = comunicacions;
	}

	/**
	 * Method 'getM6codigo'.
	 * 
	 * @return Integer
	 */

	public Integer getM6codigo() {
		return this.m6codigo;
	}

	/**
	 * Method 'setM6codigo'.
	 * 
	 * @param m6codigo
	 *            Integer
	 * @return
	 */

	public void setM6codigo(Integer m6codigo) {
		this.m6codigo = m6codigo;
	}

	/**
	 * Method 'getM6notipo'.
	 * 
	 * @return String
	 */

	public String getM6notipo() {
		return this.m6notipo;
	}

	/**
	 * Method 'setM6notipo'.
	 * 
	 * @param m6notipo
	 *            String
	 * @return
	 */

	public void setM6notipo(String m6notipo) {
		this.m6notipo = m6notipo;
	}

	/**
	 * Method 'getM6tetipo'.
	 * 
	 * @return String
	 */

	public String getM6tetipo() {
		return this.m6tetipo;
	}

	/**
	 * Method 'setM6tetipo'.
	 * 
	 * @param m6tetipo
	 *            String
	 * @return
	 */

	public void setM6tetipo(String m6tetipo) {
		this.m6tetipo = m6tetipo;
	}

	/**
	 * Method 'getM6notipoe'.
	 * 
	 * @return String
	 */

	public String getM6notipoe() {
		return this.m6notipoe;
	}

	/**
	 * Method 'setM6notipoe'.
	 * 
	 * @param m6notipoe
	 *            String
	 * @return
	 */

	public void setM6notipoe(String m6notipoe) {
		this.m6notipoe = m6notipoe;
	}

	/**
	 * Method 'getM6notipoi'.
	 * 
	 * @return String
	 */

	public String getM6notipoi() {
		return this.m6notipoi;
	}

	/**
	 * Method 'setM6notipoi'.
	 * 
	 * @param m6notipoi
	 *            String
	 * @return
	 */

	public void setM6notipoi(String m6notipoi) {
		this.m6notipoi = m6notipoi;
	}

	/**
	 * Method 'getM6notipof'.
	 * 
	 * @return String
	 */

	public String getM6notipof() {
		return this.m6notipof;
	}

	/**
	 * Method 'setM6notipof'.
	 * 
	 * @param m6notipof
	 *            String
	 * @return
	 */

	public void setM6notipof(String m6notipof) {
		this.m6notipof = m6notipof;
	}

	/**
	 * Method 'getM6notipoa'.
	 * 
	 * @return String
	 */

	public String getM6notipoa() {
		return this.m6notipoa;
	}

	/**
	 * Method 'setM6notipoa'.
	 * 
	 * @param m6notipoa
	 *            String
	 * @return
	 */

	public void setM6notipoa(String m6notipoa) {
		this.m6notipoa = m6notipoa;
	}

	/**
	 * Method 'getComunicacions'.
	 * 
	 * @return List
	 */
	@JsonIgnore
	public List<Comunicacion> getComunicacions() {
		return this.comunicacions;
	}

	/**
	 * Method 'setComunicacions'.
	 * 
	 * @param comunicacions
	 *            List
	 * @return
	 */
	public void setComunicacions(List<Comunicacion> comunicacions) {
		this.comunicacions = comunicacions;
	}

	/**
	 * Intended only for logging and debugging.
	 * 
	 * Here, the contents of every main field are placed into the result.
	 * 
	 * @return String
	 */
	@Override
	public String toString() {
		StringBuilder result = new StringBuilder();
		result.append(this.getClass().getName()).append(" Object { ");
		result.append(" [ m6codigo: ").append(this.m6codigo).append(" ]");
		result.append(", [ m6notipo: ").append(this.m6notipo).append(" ]");
		result.append(", [ m6tetipo: ").append(this.m6tetipo).append(" ]");
		result.append(", [ m6notipoe: ").append(this.m6notipoe).append(" ]");
		result.append(", [ m6notipoi: ").append(this.m6notipoi).append(" ]");
		result.append(", [ m6notipof: ").append(this.m6notipof).append(" ]");
		result.append(", [ m6notipoa: ").append(this.m6notipoa).append(" ]");
		result.append("}");
		return result.toString();
	}

}
